Package org.h2gis.functions.spatial.properties

## Class ST_MemSize

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_MemSize

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_MemSize
    extends org.h2gis.api.DeterministicScalarFunction

Compute the amount of memory space (in bytes) for the input value

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_MemSize()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Long` `memsize​(org.h2.value.Value value)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_MemSize

    public ST_MemSize()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### memsize

    public static Long memsize​(org.h2.value.Value value)
                        throws SQLException

Parameters:
  `value` - Geometry instance or null
Returns:
  the amount of memory space (in bytes)
Throws:
  `SQLException`